<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.enfi.modules.visitor.mapper.IApplyForUserMapper">

    <!-- 开启二级缓存 -->
<!--    <cache type="org.mybatis.caches.ehcache.LoggingEhcache"/>-->

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.enfi.modules.visitor.entity.ApplyForUser">
        <id column="id" property="id" />
        <result column="wx_nickname" property="wxNickname" />
        <result column="wx_address" property="wxAddress" />
        <result column="wx_country" property="wxCountry" />
        <result column="wx_province" property="wxProvince" />
        <result column="wx_city" property="wxCity" />
        <result column="wx_sex" property="wxSex" />
        <result column="wx_headimgurl" property="wxHeadimgurl" />
        <result column="wx_openid" property="wxOpenid" />
        <result column="wx_unionid" property="wxUnionid" />
        <result column="wx_phone" property="wxPhone" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, wx_nickname, wx_address, wx_country, wx_province, wx_city, wx_sex, wx_headimgurl, wx_openid, wx_unionid, wx_phone, create_by, create_time, update_by, update_time
    </sql>

</mapper>
